routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Route::group(['middleware' => ['auth']], function () {
    Route::resource('/post', 'PostController');
    Route::resource('/tag', 'TagController');

    Route::get('/home', 'HomeController@index')->name('home');
    // Route::get('/profil', '');

    Route::delete('/post/{post_id}', 'PostController@destroy');
});
// Route::group(['middleware' =>['auth']], function(){
//     Route::resource('/post', 'PostController');
//     // Route::resource('/tag', 'TagController');

//     Route::get('/home', 'HomeController@index')->name('home');
// // Route::get('/profil', '');

//     // Route::delete('/post/{post}', 'PostController@destroy');

// });

// Route::get('/post', 'PostController@index');
// Route::get('/post/create', 'PostController@create');
// Route::post('/post', 'PostController@store');
// Route::get('/post/{post_id}', 'PostController@show');
// Route::get('/post/{post_id}/edit', 'PostController@edit');
// Route::put('/post/{post_id}', 'PostController@update');
// Route::delete('/post/{post_id}', 'PostController@destroy');

Route::resource('/post', 'PostController');
Route::resource('/profile', 'ProfileController');
Route::resource('/editc', 'EditController');

// Show Posts By Tag
Route::get('/tag/{tag_id}', 'TagController@index');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
// Route::get('/lgn/{id}', 'LoginController@index');
// Route::get('/profil', '');


//edit password
Route::get('/edit', 'ProfileController@index')->name('edit.index');
Route::post('/editprofile', 'ProfileController@editprofile')->name('edit.editprofile');


// Route::

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/auth.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>SB Admin 2 - Login</title>

    <!-- Custom fonts for this template-->
    <link href="{{asset('admin/vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{{asset('admin/css/sb-admin-2.min.css')}}" rel="stylesheet">

</head>

<body class="bg-gradient-primary">

    <div class="container">
       @yield('content')
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{{asset('admin/vendor/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('admin/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{{asset('admin/vendor/jquery-easing/jquery.easing.min.js')}}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{{asset('admin/js/sb-admin-2.min.js')}}"></script>

</body>

</html>

resources/views/layouts/edit.blade.php
@extends('layouts.master')

@section('title')
    Edit Profile
@endsection

@section('content')
<div class="container-fluid">
   <!-- Page Heading -->
   <div class="d-sm-flex align-items-center justify-content-between mb-4">
       <h1 class="h3 mb-0 text-gray-800">Edit Profile</h1>
     </div>
   <div class="row">
       <div class="col-lg-6">
               @if ($errors->any())
               <div class="alert alert-danger">
                   <ul>
                       @foreach ($errors->all() as $error)
                           <li>{{ $error }}</li>
                       @endforeach
                   </ul>
               </div>
           @endif
           @if(\Session::has('alert-success'))
               <div class="alert alert-success">
                   <div>{{Session::get('alert-success')}}</div>
               </div>
           @endif
           <form action="/editc" method="post">
               @csrf
               <div class="form-group">
                <label for="name">Username</label>
                <input type="text" class="form-control" id="name" value="{{auth()->user()->name}}" name="name" disabled>
            </div>
               <div class="form-group">
                   <label for="tgl_lahir">Tanggal Lahir</label>
                   <input type="date" class="form-control" id="tgl_lahir" name="tgl_lahir" value=""> 
               </div>
               <div class="form-group">
                   <label for="alamat">Alamat</label>
                   <textarea class="form-control" id="alamat" name="alamat" cols="30" rows="10"></textarea>
               </div>
               {{-- <div class="form-group">
                   <label for="foto">Foto</label>
                   <input type="file" class="form-control" id="foto" name="foto"> 
               </div> --}}
               <div class="form_group">
                   <button type="submit" class="btn btn-primary">Simpan</button>
                   <a href="{{route('post.index')}}" class="btn btn-danger">Back</a>
                   <a href="{{route('editc.show', auth()->user()->id)}}" class="btn btn-success">Show</a>
               </div>
           </form>
       </div>
   </div>
</div>

@endsection

resources/views/layouts/master.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
  <script src="https://kit.fontawesome.com/yourcode.js" crossorigin="anonymous"></script>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>@yield('title')</title>

  <!-- Custom fonts for this template-->
  <link href="{{asset('admin/vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="{{asset('admin/css/sb-admin-2.min.css')}}" rel="stylesheet">

  <!-- Custom styles for this page -->
  <link href="assets/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.js"></script>
  

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
      @include('layouts.partials.sidebar')
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
          @include('layouts.partials.navbar')
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          <h1 class="h3 mb-4 text-gray-800">@yield('title-content')</h1>
          @yield('content')
        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Website Team Project Sanbercode 2021</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <a class="btn btn-primary" href="login.html">Logout</a>
        </div>
      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="{{asset('admin/vendor/jquery/jquery.min.js')}}"></script>
  <script src="{{asset('admin/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

  <!-- Core plugin JavaScript-->
  <script src="{{asset('admin/vendor/jquery-easing/jquery.easing.min.js')}}"></script>

  <!-- Custom scripts for all pages-->
  <script src="{{asset('admin/js/sb-admin-2.min.js')}}"></script>

  <!-- Page level plugins -->
  <script src="{{asset('admin/vendor/datatables/jquery.dataTables.min.js')}}"></script>
  <script src="{{asset('admin/vendor/datatables/dataTables.bootstrap4.min.js')}}"></script>

  <!-- script tambahan sweet alert, bukan dari bawaan sb-admin-2 -->
  <script src="{{asset('admin/js/swal.min.js')}}"></script>

  @include('sweetalert::alert')
</body>

</html>

resources/views/layouts/profile.blade.php
@extends('layouts.master')

@section('title')
    Ubah Password
@endsection

@section('content')
<div class="container-fluid">
   <!-- Page Heading -->
   <div class="d-sm-flex align-items-center justify-content-between mb-4">
       <h1 class="h3 mb-0 text-gray-800">Ubah Password</h1>
     </div>
   <div class="row">
       <div class="col-lg-6">
               @if ($errors->any())
               <div class="alert alert-danger">
                   <ul>
                       @foreach ($errors->all() as $error)
                           <li>{{ $error }}</li>
                       @endforeach
                   </ul>
               </div>
           @endif
           @if(\Session::has('alert-success'))
               <div class="alert alert-success">
                   <div>{{Session::get('alert-success')}}</div>
               </div>
           @endif
           <form action="/editprofile" method="post">
               @csrf
               <div class="form-group">
                   <label for="password_lama">Kata Sandi Saat Ini</label>
                   <input type="password" class="form-control" id="password_lama" name="password_lama"> 
                   <input type="checkbox" class="form-checkbox1"> Tampilkan Kata Sandi
               </div>
               <div class="form-group">
                   <label for="new_password1">Kata Sandi Baru</label>
                   <input type="password" class="form-control" id="new_password1" name="kata_sandi_baru">
                   <input type="checkbox" class="form-checkbox2"> Tampilkan Kata Sandi 
               </div>
               <div class="form-group">
                   <label for="new_password2">Konfirmasi Kata Sandi Baru</label>
                   <input type="password" class="form-control" id="new_password2" name="konfirmasi_kata_sandi_baru"> 
                   <input type="checkbox" class="form-checkbox3"> Tampilkan Kata Sandi
               </div>
               <div class="form_group">
                   <button type="submit" class="btn btn-primary">Simpan</button>
                   <a href="{{route('post.index')}}" class="btn btn-danger">Back</a>
               </div>
           </form>
       </div>
   </div>
</div>
<script type="text/javascript">
  $(document).ready(function(){		
     $('.form-checkbox1').click(function(){
        if($(this).is(':checked')){
           $('#password_lama').attr('type','text');
        }else{
           $('#password_lama').attr('type','password');
        }
     });
  });
   $(document).ready(function(){		
     $('.form-checkbox2').click(function(){
        if($(this).is(':checked')){
           $('#new_password1').attr('type','text');
        }else{
           $('#new_password1').attr('type','password');
        }
     });
  });
   $(document).ready(function(){		
     $('.form-checkbox3').click(function(){
        if($(this).is(':checked')){
           $('#new_password2').attr('type','text');
        }else{
           $('#new_password2').attr('type','password');
        }
     });
  });
</script>
@endsection

resources/views/layouts/showedit.blade.php
@extends('layouts.master')

@section('title')
    Show Data Profile
@endsection

@section('content')

<div>
    <label for="name">Username: </label>
    <h3 style="color: blue">{{auth()->user()->name}}</h3>
    <label for="tgl_lahir">Tanggal Lahir: </label>
    <h3 style="color: blue">{{$profile->tgl_lahir}}</h3>
    <label for="alamat">Alamat: </label>
    <p style="text-align: justify">{{$profile->alamat}}</p>
    {{-- <button type="submit" class="btn btn-danger">Kembali</button> --}}
    <a href="{{route('editc.index')}}" class="btn btn-danger">Back</a>
</div>
@endsection